﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace XamGridAddContextMenu
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void XamMenuItem_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Item 1 clicked!");
        }

        private void XamMenuItem_Click_1(object sender, EventArgs e)
        {
            MessageBox.Show("Item 2 clicked!");
        }

        private void XamMenuItem_Click_2(object sender, EventArgs e)
        {
            MessageBox.Show("Item 3 clicked!");
        }
    }
    public class Element
    {
        public Element(string elNumber, string description)
        {
            this.description = description;
            this.elNumber = elNumber;
        }
        private string elNumber;
        public string ElementNumber
        {
            get { return elNumber; }
            set { elNumber = value; }
        }

        private string description;
        public string Description
        {
            get { return description; }
            set { description = value; }
        }

    }
    public class DeviceElements : ObservableCollection<Element>
    {
        public ObservableCollection<Element> GetCollection()
        {
            ObservableCollection<Element> data = new ObservableCollection<Element>
             {
                new Element("dataitem 1","dataitem1description"),
                new Element("dataitem 2","dataitem2description"),
                new Element("dataitem 3","dataitem3description"),
                new Element("dataitem 4","dataitem4description"),
                new Element("dataitem 5","dataitem5description"),
                new Element("dataitem 6","dataitem6description"),
             };
            return data;
        }

        public ObservableCollection<Element> GetSimpleCollection
        {
            get
            {
                return GetCollection();
            }
        }
    }
}
